[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# FieldTypetoVariantMap

Map field types on variant types

## Declaration

Source position: db.pas line 1824

`const FieldTypetoVariantMap: array [TFieldType] of Integer = ;`

## Description

FieldTypetoVariantMap contains for each field datatype the variant value type that corresponds to it. If a field type cannot be expressed by a variant type, then varError is stored in the variant value.

## See also

TFieldType |  | Field data type description
TField.Value |  | Value of the field as a variant value
TParam.Value |  | Value as a variant

The latest version of this document can be found at lazarus-ccr.sourceforge.net .